curl --request GET \
--url https://api.letsdothis.com/v0/races/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/races/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/races/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "12345678902",
"title": "Half Marathon",
"titleByLocale": {
"en-GB": "Half Marathon",
"fr-FR": "Semi-Marathon"
},
"distance": {
"value": 13.1,
"unit": "MI"
},
"priceRange": {
"min": {
"value": 5000,
"currencyCode": "AUD"
},
"max": {
"value": 5000,
"currencyCode": "AUD"
}
},
"eventOccurrenceId": "12345678901",
"eventId": "2365756",
"discipline": "RUNNING",
"startDate": "2026-10-04",
"startTime": "09:00:00"
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Get a race by ID
Returns a single race by ID if it belongs to the organizer associated with your Public API credentials.
curl --request GET \
--url https://api.letsdothis.com/v0/races/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/races/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/races/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "12345678902",
"title": "Half Marathon",
"titleByLocale": {
"en-GB": "Half Marathon",
"fr-FR": "Semi-Marathon"
},
"distance": {
"value": 13.1,
"unit": "MI"
},
"priceRange": {
"min": {
"value": 5000,
"currencyCode": "AUD"
},
"max": {
"value": 5000,
"currencyCode": "AUD"
}
},
"eventOccurrenceId": "12345678901",
"eventId": "2365756",
"discipline": "RUNNING",
"startDate": "2026-10-04",
"startTime": "09:00:00"
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the resource to query by
Response
Default Response
A race in an event.
Examples:
- A typical running event may specify two races: a 5K and a 10K.
- Some events may specify races as groups of tickets that map to the same physical race, such as "international" and "domestic" races to group tickets for different types of participants.
A unique identifier for this race
"12345678902"
The title for this race
"Half Marathon"
Race title translated to multiple locales.
Will always include the default title, and may also specify translations in a number of other locales.
Show child attributes
Show child attributes
{
"en-GB": "Half Marathon",
"fr-FR": "Semi-Marathon"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The unique identifier of the event occurrence this race belongs to.
"12345678901"
The unique identifier of the event this race belongs to.
"2365756"
RUNNING, ROAD_CYCLING, TRIATHLON, OBSTACLE, SWIMMING, MOUNTAIN_BIKING, DUATHLON, SWIMRUN, OTHER, ADVENTURE_RACE, AQUABIKE, AQUATHLON, BIATHLON, QUADRATHLON, ALPINE_SKIING, CLIMBING, CYCLOCROSS, CROSS_COUNTRY_SKIING, HIKING, HORSE_RIDING, KAYAKING, ORIENTEERING, ROWING, SUP, RUNCYCLE, BIKE_TOUR, OFFROAD_BIKING (Optional) A plain date string representing the race's start date For races that do not have a confirmed start date, this field may be undefined.
"2026-10-04"
(Optional) A plain time string representing the race's start time For races that do not have a confirmed start time, this field may be undefined.
"09:00:00"
Was this page helpful?

